// Version 5.20  26.06.2003 Markus Greither
// Copyright (c) 1991-2003 Markus Greither

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

/*! \file efprec.h
    \brief Header for the precompiled headers
*/

#if defined(__BORLANDC__)// || defined(_MSC_VER)// || defined(__DMC__)
#ifndef __NOWXWINDOWS__
#include <wx/wxprec.h>
#else
#define WX_PRECOMP
#endif
#endif

#ifdef __DMC__
//#undef WX_PRECOMP
#endif

#ifdef WX_PRECOMP

#ifdef wxMAJOR_VERSION // wenn wxWindows-Header geladen
#include <wx/docview.h>
#include <wx/docmdi.h>
#include <wx/clipbrd.h>
#include <wx/config.h>
#include <wx/utils.h>
#include <wx/image.h>
#include <wx/notebook.h>
#include <wx/spinctrl.h>
#include <wx/metafile.h>
#include <wx/resizec.h>
//#include <wx/xrc/xmlres.h> // must be before any templates for DMC (?!)
#endif

#include <complex>
#include <limits>
#include <climits>
#include <cstdio>
#include <cfloat>
#include <cmath>
#include <clocale>
#include <fstream>
#include <set>
#include <functional>

using namespace std;

#include "efdefs.h"
#include "mg.h"
#include "cpxpsr.h"
#include "gauss.h"
#include "diagtype.h"
#include "efgemein.h"
#include "efmcxio.h"
#include "efsolver.h"
#include "efkrzn.h"
#include "effnkclc.h"
#include "efresid.h"

#ifdef wxMAJOR_VERSION
#include "diagramm.h"
#include "efedit.h"
#include "efeditsr.h"
#include "efdocum.h"
#include "ef.h"
#include "eftabcon.h"
#include "efgraphc.h"
#include "efeqatns.h"
#include "efview.h"
#include "efdlgs.h"
#include "efgrdlgs.h"
#include "efnmdlgs.h"
#include "efedplvw.h"
#include "efprint.h"
#endif

#endif
